import type { ComboboxOptions } from '@microsoft/fast-foundation';
import { BaseCombobox } from './base.combobox';
/**
 * @tagname %%prefix%%-combobox
 */
export declare class Combobox extends BaseCombobox {
    slottedDatasource: HTMLSlotElement;
    async: boolean;
    debounce: number;
    debounceChanged(oldValue: any, newValue: number): void;
    debouncedInputHandler: any;
    asyncSetFilter(): void;
    slottedOptionsChanged(prev: Element[] | undefined, next: Element[]): void;
    inputHandler(e: InputEvent): boolean | void;
}
/**
 * The Foundation Combo-box
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-combobox\>
 */
export declare const foundationCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<ComboboxOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<ComboboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=combobox.d.ts.map