import { html, ref, slotted } from '@microsoft/fast-element';
import { Listbox } from '@microsoft/fast-foundation';
import { baseComboboxTemplate } from './base.combobox.template';
const slotsTemplate = html `
  <slot
    ${ref('slottedDatasource')}
    ${slotted({
    filter: Listbox.slottedOptionFilter,
    flatten: true,
    property: 'slottedOptions',
})}
  ></slot>
`;
export const foundationComboboxTemplate = (context, definition) => baseComboboxTemplate(context, definition, slotsTemplate);
